#ifndef DEVICEWIDGET_H
#define DEVICEWIDGET_H

#include <QWidget>

namespace core {
    class Device;
}

namespace gui {

class DeviceWidget : public QWidget {
    Q_OBJECT
public:
    DeviceWidget(core::Device *b, QWidget *parent = 0);
    virtual ~DeviceWidget();

    inline core::Device* device() const { return m_device; }

private Q_SLOTS:
    virtual void changed() = 0;

private:
    core::Device *m_device;
};

}

#endif // DEVICEWIDGET_H
